#
# spec file for package perl-Parse-RecDescent (Version 1.78)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Parse-RecDescent
Copyright:    Copyright (c) 1995, 1996, 1997, 1998 by Steffen Beyer
Group:        Development/Libraries/Perl
Provides:     ParseRecDescent perl_prd
Obsoletes:    perl_prd
Autoreqprov:  on
Version:      1.78
Release:      117
Summary:      Perl RecDescent module
Source:  Parse-RecDescent-1.78.tar.gz
BuildRoot:    /var/tmp/perl-Parse-RecDescent

%description
RecDescent incrementally generates top-down recursive-descent text
parsers from simple yacc-like grammar specifications.

Authors:
--------
    Damian Conway <damian@csse.monash.edu.au>

SuSE series: perl

%prep
%setup -n Parse-RecDescent-1.78

%build
perl Makefile.PL 
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
eval `perl -V:installarchlib`
install -d $RPM_BUILD_ROOT/$installarchlib
make install PREFIX=$RPM_BUILD_ROOT/usr \
	INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT/$installarchlib/perllocal.pod \
 | sed "s@$RPM_BUILD_ROOT@@g" \
 > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-Parse-RecDescent

%files 
/var/adm/perl-modules/perl-Parse-RecDescent
%dir /usr/lib/perl5/site_perl/5.*/Parse
/usr/lib/perl5/site_perl/5.*/Parse/RecDescent.*
%dir /usr/lib/perl5/site_perl/5.*/Text
/usr/lib/perl5/site_perl/5.*/Text/Balanced.*
%dir /usr/lib/perl5/site_perl/5.*/*-linux/auto/Parse
/usr/lib/perl5/site_perl/5.*/*-linux/auto/Parse/RecDescent
%{_mandir}/man3/Parse::RecDescent.3pm.gz
%{_mandir}/man3/Text::Balanced.3pm.gz

%changelog -n perl-Parse-RecDescent
* Tue Nov 07 2000 - ro@suse.de
- renamed package perl_prd to perl-Parse-RecDescent
- added build root
* Tue Jun 06 2000 - ro@suse.de
- created package version 1.78
